Bug 145055 - CAN-2005-0064 xpdf buffer overflow
Summary: CAN-2005-0064 xpdf buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tetex   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard: impact=imoderate,embargoed=20050118,r...
Keywords: Security
Depends On:
Blocks: 142822
TreeView+ depends on / blocked
 
Reported: 2005-01-13 22:49 UTC by Josh Bressers
Modified: 2013-07-02 23:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 15:19:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch applied to resolve CAN-2005-0064 (845 bytes, patch)
2005-01-19 10:39 UTC, Jindrich Novy
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:026 important SHIPPED_LIVE Moderate: tetex security update 2005-03-16 05:00:00 UTC

Description Josh Bressers 2005-01-13 22:49:54 UTC
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]

Comment 1 Josh Bressers 2005-01-13 22:51:01 UTC
Jindrich,

We're going to need new packages rolled for RHSA-2005:026 to include this issue.

Comment 2 Josh Bressers 2005-01-14 12:16:41 UTC
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.

Comment 3 Mark J. Cox 2005-01-19 10:23:41 UTC
Now public, see URL for patch, removing embargo

Comment 4 Jindrich Novy 2005-01-19 10:37:38 UTC
Mark, I have applied my own patch that also fixes the issue. Please let me know
if you're not happy with it.

Comment 5 Jindrich Novy 2005-01-19 10:39:13 UTC
Created attachment 109963 [details]
The patch applied to resolve CAN-2005-0064

Comment 6 Jindrich Novy 2005-01-25 16:05:30 UTC
Packages are now added to the erratum.

Comment 7 Mark J. Cox 2005-03-13 14:37:33 UTC
downgrading to moderate severity according to
http://www.redhat.com/security/updates/classification/

Comment 8 Mark J. Cox 2005-03-16 15:19:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-026.html



Note You need to log in before you can comment on or make changes to this bug.